## ros-indigo-ecl-formatters 0.61.18

=== src/examples/CMakeLists.txt ===
###############################################################################
# GTEST SETUP
###############################################################################

add_executable(demo_formatters formatters.cpp)
target_link_libraries(demo_formatters ${PROJECT_NAME} ${catkin_LIBRARIES})
install(TARGETS demo_formatters RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== include/ecl/formatters/CMakeLists.txt ===
###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/formatters)

=== debian/changelog ===
ros-indigo-ecl-formatters (0.61.18-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 26 Jun 2017 23:09:19 -0000

ros-indigo-ecl-formatters (0.60.8-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 10 Feb 2014 05:00:00 -0000

ros-indigo-ecl-formatters (0.60.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 03 Feb 2014 05:00:00 -0000

ros-indigo-ecl-formatters (0.60.6-0trusty) trusty; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Jan 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-ecl-formatters
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-ecl-config, ros-indigo-ecl-converters, ros-indigo-ecl-exceptions, ros-indigo-ecl-license
Homepage: http://wiki.ros.org/ecl_formatters
Standards-Version: 3.9.2

Package: ros-indigo-ecl-formatters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ecl-config, ros-indigo-ecl-converters, ros-indigo-ecl-exceptions, ros-indigo-ecl-license
Description: The formatters here simply format various input types to a specified text format.
 They can be used with most streaming types (including both ecl and stl streams).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ecl-formatters//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
